# Lister (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers

## Class Lister

- java.lang.Object
- - org.apache.commons.compress.archivers.Lister

-     public final class Lister
      extends Object

  Simple command line application that lists the contents of an archive.

  The name of the archive must be given as a command line argument.

  The optional second argument defines the archive type, in case the format is not recognized.

  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lister()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lister

          public Lister()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2016 The Apache Software Foundation. All rights reserved.